# opendmarc_xml()

[back to index]

SYNOPSIS |
    #include <dmarc.h>
    u_char ** opendmarc_xml(
    	char *b, size_t blen, char *e, size_t elen)
    );
Parse and XML Report that was stored in a memory buffer. Returns a NULL termiated array of strings as lines of CSV data.
DESCRIPTION |
Called When | `opendmarc_xml()` Any time you have received a `DMARC` report, and have already extracted it from its zip file.
ARGUMENTS |
Argument | Description
--- | ---
b | The address of the memory buffer containing the XML report.
blen | The size of the buffer `b` in bytes.
e | A buffer to contain any returned human-readable error message.
elen | The size of the buffer `e` in bytes.
RETURN VALUES | `u_char **` -- On success, a NULL terminated array of CSV data lines. `NULL` -- Failure, with the reason in the `e` buffer.
NOTES | The return value can be free'd using opendmarc_util_clearargv(). The first line of the CSV data contains column names.

Copyright (c) 2012, The Trusted Domain Project. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the license.